/**
 * Copyright (C) 2024 bAvenir
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.card {
  @apply bg-lightGrey;
  @apply rounded-sm;
  border: 1px solid #dee2e6;
  padding-left: 1.25rem;
  padding-right: 1.25rem;
}

.card-dense {
  @apply card;
  @apply py-2;
}

.section {
  @apply rounded-sm bg-white p-3;
  border: 1px solid #dee2e6;
}

.section-p-0 {
  @apply section;
  @apply p-0;
}

.section-pt-0 {
  @apply section;
  @apply pt-0;
}

.link {
  @apply hover:underline text-primary-500 font-bold cursor-pointer;
}

.fade-bottom::after {
  content: '';
  display: inline-block;
  height: 16px;
  width: 100%;
  position: relative;
  bottom: 16px;
  left: 0;
  background: linear-gradient(to top, rgb(255, 255, 255) 0%, rgba(255, 255, 255, 0) 100%);
  pointer-events: none;
}

.hide-scrollbar::-webkit-scrollbar {
  display: none;
}

.filter-button {
  @apply cursor-pointer transition-colors duration-200 ease-in-out px-2 py-0.5 text-sm rounded-sm font-semibold select-none;

  &-active {
    @extend .filter-button;
    @apply hover:bg-primary-600 bg-primary-500 text-white;
  }

  &-inactive {
    @extend .filter-button;
    @apply hover:bg-primary-100 bg-white text-primary-500;
  }
}